<div class="requirement">
    <p class="category-header"><b>{{selectedCategory?.categoryName}}</b></p>
    <div class="card">
        <div class="table-responsive">
            <table class="table table-striped show-in-des">
                <thead>
                <tr jhiSort [(predicate)]="predicate" [(ascending)]="reverse" [callback]="transition.bind(this)">
                    <th jhiSortBy="requirementNumber"><label
                        jhiTranslate="pcidssApp.selfAssessment.list.number">Requirement</label>&nbsp;<span
                        class="fa fa-sort"></span></th>
                    <th class="w-50" jhiSortBy="requirement"><label
                        jhiTranslate="pcidssApp.selfAssessment.list.description">Description</label>&nbsp;<span
                        class="fa fa-sort"></span></th>
                    <th class="w-25" jhiSortBy="requirementStatus"><label
                        jhiTranslate="pcidssApp.selfAssessment.list.status">Status</label>&nbsp;<span
                        class="fa fa-sort"></span></th>
                    <th class="action w-25"><label
                        jhiTranslate="pcidssApp.selfAssessment.list.action">Action</label></th>
                </tr>
                </thead>
                <tbody>
                <tr *ngFor="let requirement of requirements">
                    <td>{{requirement.requirementNumber}}</td>
                    <td>{{requirement.requirement}}</td>
                    <td [ngStyle]="{'color': requirement.requirementStatus === STATUS.TAKE ? '#e50000'
                    : (requirement.requirementStatus === STATUS.RESUME ? '#ff9200' : '#006400') }">
                        {{requirement.requirementStatus === STATUS.TAKE ? 'New' :
                        (requirement.requirementStatus === STATUS.RESUME ? 'Incomplete' : 'Complete')}}
                    </td>
                    <td [ngSwitch]="requirement.requirementStatus">
                        <jhi-button *ngSwitchCase="STATUS.TAKE" (click)="goToRequirement(requirement)"
                                    [class.disabled]="!requirement.available" take>Take
                        </jhi-button>
                        <jhi-button *ngSwitchCase="STATUS.RESUME" (click)="goToRequirement(requirement)" resume>
                            Resume
                        </jhi-button>
                        <jhi-button *ngSwitchCase="STATUS.REVISIT" (click)="goToRequirement(requirement)" revisit>
                            Revisit
                        </jhi-button>
                    </td>
                </tr>
                </tbody>
            </table>
            <div class="show-in-mob">
                <div *ngFor="let requirement of requirements" class="card m-2 shadow-view">
                    <div class="d-flex">
                        <div class="col-5"><label
                            jhiTranslate="pcidssApp.selfAssessment.lists.number">Requirement</label>&nbsp;
                        </div>
                        <div class="col-7">{{requirement.requirementNumber}}</div>
                    </div>
                    <div class="d-flex">
                        <div class="col-5"><label
                            jhiTranslate="pcidssApp.selfAssessment.lists.description">Description</label>&nbsp;
                        </div>
                        <div class="col-7">{{requirement.requirement}}</div>
                    </div>
                    <div class="d-flex">
                        <div class="col-5"><label
                            jhiTranslate="pcidssApp.selfAssessment.lists.status">Status</label>&nbsp;
                        </div>
                        <div class="col-7" [ngStyle]="{'color': requirement.requirementStatus === STATUS.TAKE ? '#e50000'
                    : (requirement.requirementStatus === STATUS.RESUME ? '#ff9200' : '#006400') }">
                            {{requirement.requirementStatus === STATUS.TAKE ? 'New' :
                            (requirement.requirementStatus === STATUS.RESUME ? 'Incomplete' : 'Complete')}}
                        </div>
                    </div>
                    <div class="d-flex">
                        <div class="col-5"><label
                            jhiTranslate="pcidssApp.selfAssessment.lists.action">Action</label></div>
                        <div class="col-7" [ngSwitch]="requirement.requirementStatus">
                            <jhi-button *ngSwitchCase="STATUS.TAKE" (click)="goToRequirement(requirement)"
                                        [class.disabled]="!requirement.available" take>Take
                            </jhi-button>
                            <jhi-button *ngSwitchCase="STATUS.RESUME" (click)="goToRequirement(requirement)" resume>
                                Resume
                            </jhi-button>
                            <jhi-button *ngSwitchCase="STATUS.REVISIT" (click)="goToRequirement(requirement)"
                                        revisit>Revisit
                            </jhi-button>

                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
